Create Bank Account

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Click to view details about the bank account parameters

1. Account Number (account_number)

  • Type: integer
  • Description: Account Number.
  • Required: Yes
  • Format: Numeric
  • Min Length: 3 digits
  • Max Length: 17 digits
  • Example: 123432876

2. Routing Number (routing_number)

  • Type: integer
  • Description: Routing Number.
  • Required: Yes
  • Format: Numeric
  • Min Length: 9 digits
  • Max Length: 9 digits
  • Example: 123432876

3. First Name (first_name)

  • Type: string
  • Description: First name of the account holder.
  • Required: Yes
  • Format: Alphanumeric
  • Min Length: 2 characters
  • Max Length: 50 characters
  • Example: John

4. Last Name (last_name)

  • Type: string
  • Description: Last name of the account holder.
  • Required: Yes
  • Format: Alphanumeric
  • Min Length: 2 characters
  • Max Length: 50 characters
  • Example: Doe

5. Account Type (account_type)

  • Type: string
  • Description: Account type. Must be one of the following: 'Personal Checking', 'Personal Savings', 'Business Checking', 'Business Savings'.
  • Required: Yes
  • Format: String
  • Example: Business Checking

6. SEC Code (sec_code)

  • Type: string
  • Description: SEC code. Must be one of the following: 'CCD', 'PPD', 'TEL', 'WEB'.
  • Required: Optional
  • Format: String
  • Example: WEB

7. Customer ID (customer_id)

  • Type: string
  • Description: An ID of the Customer that the Bank Account belongs to.
  • Required: Optional
  • Format: Alphanumeric
  • Note: Provide the customer_id that was created using the Create a Customer API.
Body Params
string
required

Account Number.

string
required

Routing Number

string
required

First name of account holder

string
required

Last name of account holder

string
enum
required

Account type. Must be one of the following: 'Personal Checking','Personal Savings','Business Checking','Business Savings'

Allowed:
string
enum
required

Sec. code' Must be one of the following: 'CCD','PPD','TEL','WEB'

Allowed:
string

An ID of the Customer that the Bank Account belongs to.

string

company_name is required when sending account type as Business Checking or Business Savings

Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json